
package test;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService()
public class ExactlyOnce {

    /**
     * Web service operation
     */
    @WebMethod(operationName = "receiveMessage")
    public String receiveMessage(@WebParam(name = "message") String message) {
        System.out.println("Received Message: " + message);
        try {
            Thread.sleep(1000);
        } catch (InterruptedException ex) {
            Logger.getLogger(ExactlyOnce.class.getName()).log(Level.SEVERE, null, ex);
        }
        return message;
    }

}
